.baihe_facility {
    padding: var(--component-gap) 0;
}

.baihe_facility h2 {
    text-align: center;
    font-size: var(--title-size-h3);
    font-weight: 700;
    line-height: 1.5;
    color: var(--title-text-color);
}

.baihe_facility_desc {
    text-align: center;
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    max-width: 69%;
    margin: 0 auto;
}

.baihe_facility_list {
    display: flex;
    flex-wrap: wrap;
    gap: 34px;
    margin-top: var(--component-gap);
}

.baihe_facility_item {
    display: flex;
    flex-direction: column;
    gap: 13px;
    border-radius: 20px;
    border: 1px solid var(--color-primary);
    padding: 33px 30px 33px 47px;
    width: calc((100% - 68px) / 3);
    transition: all 0.3s ease;
}

.baihe_facility_item_title {
    font-family: var(--font-medium-family);
    color: var(--title-text-color);
    font-size: var(--title-size-h5);
    font-weight: 500;
    line-height: 1.5;
    max-height: calc(var(--title-size-h5) * 1.5 * 2);
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
}

.baihe_facility_item_desc {
    color: var(--text-color);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    height: calc(var(--text-size) * 1.625 * 4);
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    overflow: hidden;
}

.baihe_facility_item:nth-child(5n + 4),
.baihe_facility_item:nth-child(5n + 5) {
    width: calc((100% - 34px) / 2);
}

.baihe_facility_item:nth-child(5n + 4) .baihe_facility_item_title,
.baihe_facility_item:nth-child(5n + 5) .baihe_facility_item_title {
    max-height: calc(var(--title-size-h5) * 1.5 * 1);
    -webkit-line-clamp: 1;
}

.baihe_facility_item:nth-child(5n + 4) .baihe_facility_item_desc,
.baihe_facility_item:nth-child(5n + 5) .baihe_facility_item_desc {
    height: calc(var(--text-size) * 1.625 * 3);
    -webkit-line-clamp: 3;
}

.baihe_facility_item:hover {
    background: var(--color-primary);
}

@media screen and (max-width: 1200px) {
    .baihe_facility_desc {
        max-width: 100%;
    }

    .baihe_facility_list {
        gap: 20px;
    }

    .baihe_facility_item {
        padding: 20px 15px 20px 30px;
        width: calc((100% - 40px) / 3);
    }

    .baihe_facility_item:nth-child(5n + 4),
    .baihe_facility_item:nth-child(5n + 5) {
        padding: 20px 15px 20px 30px;
        width: calc((100% - 20px) / 2);
    }
}

@media screen and (max-width: 992px) {
    .baihe_facility_list {
        flex-direction: column;
    }

    .baihe_facility_item {
        width: 100%;
    }

    .baihe_facility_item:nth-child(5n + 4),
    .baihe_facility_item:nth-child(5n + 5) {
        width: 100%;
    }

    .baihe_facility_item_title {
        max-height: auto;
        -webkit-line-clamp: auto;
    }

    .baihe_facility_item_desc {
        height: auto;
        -webkit-line-clamp: auto;
    }

    .baihe_facility_item:nth-child(5n + 4) .baihe_facility_item_title,
    .baihe_facility_item:nth-child(5n + 5) .baihe_facility_item_title {
        max-height: auto;
        -webkit-line-clamp: auto;
    }

    .baihe_facility_item:nth-child(5n + 4) .baihe_facility_item_desc,
    .baihe_facility_item:nth-child(5n + 5) .baihe_facility_item_desc {
        height: auto;
        -webkit-line-clamp: auto;
    }
}

@media screen and (max-width: 576px) {
    .baihe_facility_item {
        padding: 20px 15px 20px 20px;
        gap: 10px;
    }
}